- Home
- API Enriched
- Shape
- shape
- Enable Client-Side Defense.
Enable Client-Side Defense.
POST
/api/shape/csd/namespaces/system/init
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/system/init';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","namespace":"example","serviceType":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/system/init \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "namespace": "example", "serviceType": "example" }'Enable Client-Side Defense feature for the tenant.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
InitRequest
Any payload to be passed on the Provision API.
object
email
Email Address for Notifications
Email Address for Notifications Required: YES.
string format: email
namespace
namespace
Namespace
string
serviceType
Service Type
CSD service type.
string
Examplegenerated
{ "email": "hello@example.com", "namespace": "example", "serviceType": "example"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
InitResponse
Any payload to be return by Provision API.
object
isConfigured
IsConfigured
Client-Side defense service is configured.
boolean format: boolean
Examplegenerated
{ "isConfigured": true}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example